def function(exposure, hazard_intersects):
    exposed = len(hazard_intersects) > 0
    if  exposure.get('num_lanes') is not None:
        # it's a road
        status = 'Road Exposed' if exposed else 'Road Not Exposed'
    else:
        # it's a building
        status = 'Building Exposed' if exposed else 'Building Not Exposed'

    return {'exposed': exposed, 'status': status}

